net.sourceforge.pmd.ant

## Class SourceLanguage

- java.lang.Object
- - net.sourceforge.pmd.ant.SourceLanguage

-     public class SourceLanguage
      extends Object

  Stores LanguageVersion terse name value.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceLanguage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getVersion()`
    `void` | `setName(String name)`
    `void` | `setVersion(String version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceLanguage

          public SourceLanguage()

  - ### Method Detail

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002-2013 InfoEther. All Rights Reserved.